
//////////////////////////////////////////////////
//  Oracle Data Access Components
//  Copyright  1998-2024 Devart. All right reserved.
//  ODAC registration
//////////////////////////////////////////////////

{$IFNDEF CLR}
{$I Odac.inc}

unit OraReg;
{$ENDIF}
interface

procedure Register;

implementation

{$IFNDEF FPC}
  {$IFDEF VER28P}
    {$R OraDesign28p.res}
  {$ELSE}
    {$IFDEF VER9}
      {$R OraDesign9.res}
    {$ELSE}
      {$R OraDesign.res}
    {$ENDIF}
    {$IFDEF VER10P}
      {$R OraDesign10p.res}
    {$ENDIF}
  {$ENDIF}
{$ENDIF}

{_$R DBAccess.res}

uses
  Classes, DB,
{$IFDEF FPC}
  LResources,
{$ENDIF}
{$IFNDEF STD}
  OraLoader, OraErrHand, OraPackage, OraTransaction, OraAQ,
{$IFDEF MSWINDOWS}
{$IFNDEF FPC}
  OraAlerter,
{$ENDIF}
{$ENDIF}
{$IFDEF CS}
  OraProvider,
{$ENDIF}
{$ENDIF}
  DacReg, DBAccess, 
  OdacVcl, Ora, OraSmart, OraScript, OraSQLMonitor{$IFNDEF FPC}{$IFNDEF CLR}{$IFDEF VER9P}, Windows{$ENDIF}{$ENDIF}{$ENDIF};

procedure Register;
begin
{$IFNDEF FPC}
{$IFNDEF CLR}
{$IFDEF VER9P}
  RegisterSplashScreen('Devart Oracle Data Access Components',
                       ODacVersion,
                       LoadBitmap(HInstance, {$IFDEF VER9}'SPLASHGR'{$ENDIF}
                                             {$IFDEF VER10}'SPLASHBL'{$ENDIF}
                                             {$IFDEF VER11}'SPLASHWH'{$ENDIF}
                                             {$IFDEF VER12}'SPLASHWH'{$ENDIF}
                                             {$IFDEF VER14P}'SPLASHBL'{$ENDIF}),
                     {$IFDEF BETA}
                       true, 'Beta'
                     {$ELSE}
                     {$IFDEF RC}
                       false, 'Release Candidate'
                     {$ELSE}
                     {$IFDEF TRIAL}
                       true, 'Trial'
                     {$ELSE} //ORIGINAL
                       false, 'Licensed'
                     {$ENDIF}
                     {$ENDIF}
                     {$ENDIF}
                      );
  RegisterAboutBox('Devart Oracle Data Access Components',
                   ODacVersion,
                   'http://www.devart.com/odac/',
                   'Devart Oracle Data Access Components' + #13#10 +
                   'Copyright 1998-2024 Devart. All rights reserved.' + #13#10 +
                   'Web: www.devart.com/odac/' + #13#10 +
                   'Support: www.devart.com/odac/support.html',
                   LoadBitmap(HInstance, 'ABOUT'),
                 {$IFDEF BETA}
                   true, 'Beta'
                 {$ELSE}
                 {$IFDEF RC}
                   false, 'Release Candidate'
                 {$ELSE}
                 {$IFDEF TRIAL}
                   true, 'Trial'
                 {$ELSE} //ORIGINAL
                   false, 'Licensed'
                 {$ENDIF}
                 {$ENDIF}
                 {$ENDIF}
                   , 
                 {$IFDEF STD}
                   'Standard edition'
                 {$ELSE}
                   'Professional edition'
                 {$ENDIF}
                  );
{$ENDIF}
{$ENDIF}
{$ENDIF}
{$IFNDEF STD}
  RegisterCRBatchMove;
{$ENDIF}

  RegisterComponents('ODAC', [TOraSession]);
  RegisterComponents('ODAC', [TOraQuery]);
  RegisterComponents('ODAC', [TSmartQuery]);
  RegisterComponents('ODAC', [TOraTable]);
  RegisterComponents('ODAC', [TOraStoredProc]);
  RegisterComponents('ODAC', [TOraSQL]);
  RegisterComponents('ODAC', [TOraScript]);
  RegisterComponents('ODAC', [TOraUpdateSQL]);
{$IFNDEF FPC}
  RegisterComponents('ODAC', [TOraNestedTable]);
{$ENDIF}
  RegisterComponents('ODAC', [TOraDataSource]);

{$IFNDEF STD}
  RegisterComponents('ODAC', [TOraPackage]);
  RegisterComponents('ODAC', [TOraLoader]);
{$IFDEF MSWINDOWS}
{$IFNDEF FPC}
  RegisterComponents('ODAC', [TOraAlerter]);
{$ENDIF}
{$ENDIF}
  RegisterComponents('ODAC', [TOraTransaction]);
  RegisterComponents('ODAC', [TOraQueue]);
  RegisterComponents('ODAC', [TOraQueueTable]);
  RegisterComponents('ODAC', [TOraQueueAdmin]);
{$IFDEF MSWINDOWS}
{$IFNDEF FPC}
  RegisterComponents('ODAC', [TOraChangeNotification]);
{$ENDIF}
{$ENDIF}
  RegisterComponents('ODAC', [TOraTrace]);
  RegisterComponents('ODAC', [TOraErrorHandler]);
{$IFDEF CS}
  RegisterComponents('ODAC', [TOraProvider]);
{$ENDIF}
  RegisterComponents('ODAC', [TOraMetaData]);
{$ENDIF}

  RegisterComponents('ODAC', [TOraSQLMonitor]);
  RegisterComponents('ODAC', [TConnectDialog]);

{$IFNDEF STD}
  RegisterComponents('ODAC', [TOraEncryptor]);
{$ENDIF}
end;

initialization
{$IFDEF FPC}
{$I OraDesign.lrs}
{$ENDIF}

end.
