
//////////////////////////////////////////////////
//  DB Access Components
//  Copyright  1998-2024 Devart. All right reserved.
//  SmartQueryOptions Editor Frame
//////////////////////////////////////////////////

{$IFNDEF CLR}

{$I Odac.inc}

unit SmartQueryOptionsFrame;
{$ENDIF}

interface

uses
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  Graphics, Controls, Forms, Dialogs, StdCtrls, ExtCtrls,
{$IFDEF FPC}
  LResources,
{$ENDIF}
  Classes, SysUtils, CRFrame, Ora, OraSmart, OraQueryOptionsFrame;

type
  TSmartQueryOptionsFrame = class(TOraQueryOptionsFrame)
    cbExpand: TCheckBox;
    procedure cbExpandClick(Sender: TObject);
  protected
    function GetLocalSmartQuery: TSmartQuery;
    procedure DoActivate; override;
    property LocalSmartQuery: TSmartQuery read GetLocalSmartQuery;
  public

  end;

implementation

{$IFNDEF FPC}
{$R SmartQueryOptionsFrame.dfm}
{$ELSE}
{$R *.lfm}
{$ENDIF}

uses
  CREditor, SmartQueryEditor;

function TSmartQueryOptionsFrame.GetLocalSmartQuery: TSmartQuery;
begin
  Result := nil;
  if FEditor is TSmartQueryEditorForm then begin
    Result := TSmartQueryEditorForm(FEditor).LocalComponent as TSmartQuery;
    Assert(Result <> nil);
  end
  else
    Assert(False);
end;

procedure TSmartQueryOptionsFrame.DoActivate;
begin
  inherited;
  cbExpand.Checked := LocalSmartQuery.Expand;
end;

procedure TSmartQueryOptionsFrame.cbExpandClick(Sender: TObject);
begin
  LocalSmartQuery.Expand := cbExpand.Checked;
end;

end.
